org.apache.commons.math3.util

## Interface Incrementor.MaxCountExceededCallback

- All Known Implementing Classes:
    BaseOptimizer.MaxEvalCallback, BaseOptimizer.MaxIterCallback
  Enclosing class:
    Incrementor

      public static interface Incrementor.MaxCountExceededCallback

  Defines a method to be called at counter exhaustion. The `trigger` method should usually throw an exception.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `trigger(int maximalCount)` Function called when the maximal count has been reached.

- - ### Method Detail

    - #### trigger

          void trigger(int maximalCount)

      Function called when the maximal count has been reached.
      Parameters:
        `maximalCount` - Maximal count.

Copyright (c) 2003-2013 Apache Software Foundation